#include <Wire.h>
#include <Adafruit_Sensor.h>
#include <Adafruit_MPU6050.h>

Adafruit_MPU6050 mpu;

void setup() {
  Serial.begin(9600);
  while (!Serial) {
    delay(10); // wait for serial port to connect
  }

  Wire.begin();
  mpu.begin();
  mpu.setAccelerometerRange(MPU6050_RANGE_8_G);
  mpu.setGyroRange(MPU6050_RANGE_500_DEG);
}

void loop() {
  sensors_event_t a, g, temp;
  mpu.getEvent(&a, &g, &temp);

  float ax = a.acceleration.x+0.47;
  float ay = a.acceleration.y+0.22;
  float az = a.acceleration.z+0.03;
  float gx = g.gyro.x;
  float gy = g.gyro.y;
  float gz = g.gyro.z;
 /*  Serial.print("AX:");
  Serial.print(ax);
  Serial.print("AY:");
  Serial.print(ay);
  Serial.print("AZ:");
  Serial.print(az);
  Serial.print("GX");
  Serial.print(gx);
  Serial.print("GY");
  Serial.print(gy);
  Serial.print("GZ:");
  Serial.println(gz); */
  Serial.print(ax);
  Serial.print(",");
  Serial.print(ay);
  Serial.print(",");
  Serial.print(az);
  Serial.print(",");
  Serial.print(gx);
  Serial.print(",");
  Serial.print(gy);
  Serial.print(",");
  Serial.print(gz);
  Serial.println();

  delay(100);
}
